%define upstream_name    SQL-Abstract-More
%define upstream_version 1.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extension of SQL::Abstract with more constructs and more flexible API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(SQL::Abstract::Classic)
BuildRequires: perl(SQL::Abstract::Test)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Generates SQL from Perl datastructures. This is a subclass of the
SQL::Abstract manpage, fully compatible with the parent class, but it
handles a few additional SQL constructs, and provides a different API with
named parameters instead of positional parameters, so that various SQL
fragments are more easily identified.

This module was designed for the specific needs of the DBIx::DataModel
manpage, but is published as a standalone distribution, because it may
possibly be useful for other needs.

This software is not yet fully stable; future versions may introduce some
minor differences in the calling interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB="`pwd`"
perl Build.PL --installdirs=vendor --optimize="$RPM_OPT_FLAGS"

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 15 2025 tv <tv> 1.440.0-1.mga10
+ Revision: 2255833
- update to 1.44

* Sat Jun 28 2025 umeabot <umeabot> 1.430.0-2.mga10
+ Revision: 2221497
- Mageia 10 Mass Rebuild

* Thu Mar 07 2024 tv <tv> 1.430.0-1.mga10
+ Revision: 2048278
- update to 1.43

* Thu Jan 25 2024 tv <tv> 1.420.0-1.mga10
+ Revision: 2034252
- update to 1.42

* Mon Jan 22 2024 tv <tv> 1.410.0-1.mga10
+ Revision: 2033557
- update to 1.41

* Tue Dec 05 2023 tv <tv> 1.400.0-1.mga10
+ Revision: 2013333
- update to 1.40

* Tue Jul 26 2022 tv <tv> 1.390.0-1.mga9
+ Revision: 1872057
- update to 1.39

* Mon Apr 04 2022 tv <tv> 1.380.0-1.mga9
+ Revision: 1843942
- update to 1.38

* Mon Mar 21 2022 umeabot <umeabot> 1.370.0-2.mga9
+ Revision: 1814147
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 tv <tv> 1.370.0-1.mga9
+ Revision: 1691700
- update to 1.37

* Sat Jan 02 2021 tv <tv> 1.340.0-1.mga8
+ Revision: 1668192
- update to 1.34

* Wed Feb 12 2020 umeabot <umeabot> 1.330.0-3.mga8
+ Revision: 1506161
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.330.0-2.mga7
+ Revision: 1285967
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 shlomif <shlomif> 1.330.0-1.mga7
+ Revision: 1209520
- New version 1.33
- update to 1.33
- update to 1.32
- update to 1.31
- update to 1.30

* Mon Jul 31 2017 sander85 <sander85> 1.280.0-1.mga7
+ Revision: 1133019
- update to 1.28

* Sun Jun 19 2016 pterjan <pterjan> 1.270.0-3.mga6
+ Revision: 1033328
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.270.0-2.mga6
+ Revision: 967637
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.270.0-1.mga6
+ Revision: 849917
- update to 1.27

* Sun Oct 19 2014 umeabot <umeabot> 1.230.0-5.mga5
+ Revision: 789268
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.230.0-4.mga5
+ Revision: 744845
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.230.0-2.mga5
+ Revision: 686141
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 1.230.0-1.mga5
+ Revision: 662586
- update to 1.23

* Sun Aug 10 2014 sander85 <sander85> 1.220.0-1.mga5
+ Revision: 661461
- update to 1.22

* Fri Apr 25 2014 shlomif <shlomif> 1.210.0-1.mga5
+ Revision: 617986
- Missing BR
- update to 1.21

* Tue Feb 04 2014 shlomif <shlomif> 1.190.0-1.mga5
+ Revision: 581456
- Add missing BR
- update to 1.19

* Sat Oct 19 2013 umeabot <umeabot> 1.170.0-2.mga4
+ Revision: 530326
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 1.170.0-1.mga4
+ Revision: 457203
- update to 1.17

* Wed Jul 17 2013 shlomif <shlomif> 1.160.0-1.mga4
+ Revision: 455171
- Add missing BR
- update to 1.16

* Wed May 29 2013 shlomif <shlomif> 1.150.0-1.mga4
+ Revision: 432584
- update to 1.15

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 372436
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 1.90.0-1.mga3
+ Revision: 330288
- New version 1.09

* Sat Oct 20 2012 shlomif <shlomif> 1.70.0-1.mga3
+ Revision: 308397
- New version 1.07

* Wed Aug 29 2012 kharec <kharec> 1.60.0-1.mga3
+ Revision: 285343
- update to 1.06

* Mon Jun 04 2012 kharec <kharec> 1.50.0-1.mga3
+ Revision: 254030
- update to 1.05

* Fri Dec 16 2011 kharec <kharec> 1.0.0-1.mga2
+ Revision: 182711
- update to 1.00

* Fri Dec 16 2011 kharec <kharec> 0.60.0-1.mga2
+ Revision: 182427
- update to 0.06

* Sun Dec 04 2011 kharec <kharec> 0.50.0-1.mga2
+ Revision: 175999
- imported package perl-SQL-Abstract-More

